# Programm zu Python-08-Einfaches-wxFrame-Beispiel.py
import wx
#---------------------------------------------------------------------------
class MeinFenster(wx.Frame):
    def __init__(
        self, parent, ID, title, pos=wx.DefaultPosition,
        size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
        ):
        wx.Frame.__init__(self, parent, ID, title, pos, size, style)

        panel = wx.Panel(self, -1)

        button = wx.Button(panel, 1003, "Beenden")
        button.SetPosition((15, 15))

        self.Bind(wx.EVT_BUTTON, self.OnCloseMe, button)
        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)
        
    def OnCloseMe(self, event):
        self.Close(True)
        
    def OnCloseWindow(self, event):
        self.Destroy()
        
# ===== Application-Klasse =================================================
class MeineAnwendung(wx.App):
    def OnInit(self):
        frame = MeinFenster(None, -1, "Dies ist mein Fenster", size=(350, 200),style = wx.DEFAULT_FRAME_STYLE)
        self.SetTopWindow(frame)
        frame.Show(True)
        return True
# ===== Application-Objekt erzeugen ========================================
app = MeineAnwendung(redirect=False)
app.MainLoop()
